Bug 238164 - Workspace switcher only shows thumbnails of the current workspace
Workspace switcher only shows thumbnails of the current workspace
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 11:46 EDT by Mikko Huhtala
Modified: 2009-07-14 13:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikko Huhtala 2007-04-27 11:46:20 EDT
Description of problem:

My session is set to use Compiz. If I change to Metacity and back to Compiz
during the session using 'Desktop Effects' from the System menu, the switcher
applet only shows the thumbnail view of the current workspace (virtual desktop).
The thumbnails for the other virtual desktops remain blank even if windows are
put on them. Switching works erratically: ctrl-alt-left and ctrl-alt-right do
change the desktop, but not the position in the switcher applet. Pointing and
clicking the switcher changes both the workspace and and the position in the
switcher applet, but the Compiz effect (cube) is not rendered (it is with the
keyboard shortcut).

Version-Release number of selected component (if applicable):

gnome-applets-2.18.0-7.fc7
metacity-2.18.0-2.fc7
compiz-0.3.6-8.fc7

How reproducible:

Always

Steps to Reproduce:

1. Add workspace switcher to a panel if it isn't there. Turn Desktop Effects on
and log out (session now set up to use Compiz).

2. Log in, switch Desktop Effects off, then back on again.

3. Open multiple windows and place them in different workspaces.

4. Try switching.
  
Actual results:

Switcher shows blank thumbnail views for all but the current workspace.
Switching using the keyboard has different effects from switching using the
mouse: position in the switcher applet is not changed.

Expected results:

Windows in other workspaces should show up in the switcher thumbnail view and
switching should work consistently.

Additional info:
Comment 1 Bug Zapper 2008-04-03 20:19:27 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Mikko Huhtala 2008-04-29 02:51:22 EDT
The problem is still there in F9 Preview. The workspace switcher goes haywire
upon switching to Compiz and back. Verified on

Radeon RV250 [Mobility FireGL 9000] (rev 02)
xorg-x11-server-Xorg-1.4.99.901-26.20080415.fc9.i386
xorg-x11-drv-ati-6.8.0-10.fc9.i386
metacity-2.22.0-3.fc9.i386
compiz-0.7.2-3.fc9.i386
gnome-panel-2.22.1.2-6.fc9.i386
Comment 3 John Poelstra 2008-05-05 18:54:16 EDT
thanks for your update
Comment 4 Bug Zapper 2008-05-13 22:48:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:34:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:18:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.